Bug 37519 - no unbind() method in univention.uldap.access
no unbind() method in univention.uldap.access
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.2
Assigned To: Florian Best
Philipp Hahn
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-12 12:16 CET by Florian Best
Modified: 2017-04-04 18:29 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2015-01-12 12:16:49 CET
univention.uldap.access has no unbind() method.
univention.admin.uldap.access neither.

I needed to do a ugly workaround:
lo.lo.lo.unbind_s()

No bugzilla component for univention-python, using General.
Comment 1 Florian Best univentionstaff 2016-09-06 18:26:55 CEST
univention-python (10.0.1-1):
univention-directory-manager-modules (12.0.3-1):
r72330 | Bug #41812: add unbind() method to uldap.access()
Comment 2 Philipp Hahn univentionstaff 2017-01-19 15:16:10 CET
OK: r72330
OK: python -c 'import univention.uldap as l;c=l.getMachineConnection();c.unbind();c.lo.whoami_s()' # SIGABRT
FIXED: r75940 ChangeLog -> r75944
Comment 3 Stefan Gohmann univentionstaff 2017-04-04 18:29:45 CEST
UCS 4.2 has been released:
 https://docs.software-univention.de/release-notes-4.2-0-en.html
 https://docs.software-univention.de/release-notes-4.2-0-de.html

If this error occurs again, please use "Clone This Bug".